<!DOCTYPE html>
<html>
<head>
  <title>Post</title>
  <style>
    body {
      font-family: Arial, sans-serif;
      background-color: #f5f5f5;
      padding: 20px;
    }
    
    .post-container {
      background-color: #ffffff;
      border-radius: 8px;
      padding: 20px;
      box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
      max-width: 700px;
      margin: auto;
      margin-bottom: 20px;
    }
 
    .post-title {
      font-size: 24px;
      margin: 0;
      margin-bottom: 10px;
    }
    
    .post-details {
      color: #888888;
      font-size: 14px;
      margin-top: 10px;
    }
    
    .post-details span {
      margin-right: 10px;
    }
    
    .upvotes {
      color: #FF4500;
    }
    .arrow {
    color: #888888;
    margin-right: 5px;
  }
  .post-link {
    color: #3366cc;
    text-decoration: none;
  }
  
  .post-link:hover {
    text-decoration: underline;
  }
    .comments {
      color: #008000;
    }
    body {
    padding-top: 60px;
      /* Other styles for the body */
    }

    .navbar {
    background-color: #333;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* Other styles for the navbar */
  }

  .navbar ul {
    list-style-type: none;
    margin: 0;
    padding: 20px;
    display: flex;
    align-items: center;
    height: 100%;
  }

  .navbar li {
    margin-right: 20px;
  }

  .navbar li:last-child {
    margin-right: 10px;
  }

  .navbar a {
    color: #fff;
    text-decoration: none;
    
 


/* body {
      font-family: Arial, sans-serif;
      background-color: #f5f5f5;
      padding: 20px;
    } */
    
    .commemt-container {
      background-color: #ffffff;
      border-radius: 8px;
      padding: 20px;
      box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
      max-width: 600px;
      margin: 0 auto;
    }
    
    .comment-title {
      font-size: 24px;
      margin: 0;
      margin-bottom: 10px;
    }
    
    .comment-details {
      color: #888888;
      font-size: 14px;
      margin-top: 10px;
    }
    
    .comment-details span {
      margin-right: 10px;
    }

   

    }
  </style>
</head>
<body>

  <div class="navbar">
    <ul>
      <li><a href="{% url 'posts' %}">Main Page</a></li>
      <li><a href="{% url 'post_create'  %}">Post</a></li>
      <!-- Add more navigation links as needed -->
    </ul>
  </div>
  <div class="post-container">
  <h1 class="post-title">

    <a href="{% url 'posts'  %}" class="post-link">
      <span> Back</span>
      {{ post.name }}
  </a>
   
    <h1 class="post-title">{{ posts.name }}</h1>
  
    <p>{{ posts.body }}</p>
  
    <div class="post-details">
      <span>Posted by: <span class="author">{{ posts.owner }}</span></span>
      <span>Posted on: <span class="timestamp">{{ posts.public_date }}</span></span>
    </div>
  </div>
  </div>

  


  {% for c in comments %}
    <div class="post-container">
      
     
    
      <p>{{ c.content }}</p>
    
      <div class="post-details">
        <span>Posted by: <span class="author">{{ c.author }}</span></span>
        <span>Posted on: <span class="timestamp">{{ c.date_of_public }}</span></span>
      </div>
    </div>
  {% endfor %}
</body>
</html>